//+------------------------------------------------------------------+
//|                                                     PriceRow.mqh |
//|                                                 Marcin Konieczny |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Marcin Konieczny"

#include <Row.mqh>
//+------------------------------------------------------------------+
//|  CPriceRow                                                  |
//+------------------------------------------------------------------+
class CPriceRow : public CRow
  {
public:
   //---   GetValue(..)  CRow
   virtual string    GetValue(string symbol,ENUM_TIMEFRAMES tf);

   //---   GetName()  CRow
   virtual string    GetName();

  };
//+------------------------------------------------------------------+
//|   GetValue(..)  CRow                  |
//+------------------------------------------------------------------+
string CPriceRow::GetValue(string symbol,ENUM_TIMEFRAMES tf)
  {
   MqlTick tick;

//---    
   if(!SymbolInfoTick(symbol,tick)) return("-");

   return(DoubleToString(tick.bid,(int)SymbolInfoInteger(symbol,SYMBOL_DIGITS)));
  }
//+------------------------------------------------------------------+
//|   GetName()  CRow                     |
//+------------------------------------------------------------------+
string CPriceRow::GetName()
  {
   return("Price");
  }
//+------------------------------------------------------------------+

